Get Pod
curl --request GET \
--url https://api.primeintellect.ai/api/v1/pods/{pod_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/pods/{pod_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/pods/{pod_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/pods/{pod_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/pods/{pod_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/pods/{pod_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/pods/{pod_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"userId": "<string>",
"name": "<string>",
"providerType": "runpod",
"gpuName": "CPU_NODE",
"gpuCount": 1,
"socket": "PCIe",
"priceHr": 1.23,
"id": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"type": "HOSTED",
"status": "PROVISIONING",
"installationStatus": "PENDING",
"installationFailure": "<string>",
"installationProgress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"terminatedAt": "2023-11-07T05:31:56Z",
"stoppedPriceHr": 0.005,
"provisioningPriceHr": 0,
"environmentType": "ubuntu_22_cuda_12",
"customTemplateId": "<string>",
"clusterId": "<string>",
"primePortMapping": [],
"sshConnection": "<string>",
"ip": "<string>",
"resources": {
"memory": "128",
"disk": "1000",
"shared_disk": "1000",
"vcpus": "32"
},
"attachedResources": [],
"isSpot": true,
"autoRestart": true
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Pods
Get Pod
GET
/
api
/
v1
/
pods
/
{pod_id}
Get Pod
curl --request GET \
--url https://api.primeintellect.ai/api/v1/pods/{pod_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/pods/{pod_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/pods/{pod_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/pods/{pod_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/pods/{pod_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/pods/{pod_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/pods/{pod_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"userId": "<string>",
"name": "<string>",
"providerType": "runpod",
"gpuName": "CPU_NODE",
"gpuCount": 1,
"socket": "PCIe",
"priceHr": 1.23,
"id": "<string>",
"teamId": "<string>",
"walletId": "<string>",
"type": "HOSTED",
"status": "PROVISIONING",
"installationStatus": "PENDING",
"installationFailure": "<string>",
"installationProgress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"terminatedAt": "2023-11-07T05:31:56Z",
"stoppedPriceHr": 0.005,
"provisioningPriceHr": 0,
"environmentType": "ubuntu_22_cuda_12",
"customTemplateId": "<string>",
"clusterId": "<string>",
"primePortMapping": [],
"sshConnection": "<string>",
"ip": "<string>",
"resources": {
"memory": "128",
"disk": "1000",
"shared_disk": "1000",
"vcpus": "32"
},
"attachedResources": [],
"isSpot": true,
"autoRestart": true
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Authorizations
Response
Successful Response
Type of provider associated with the pod, based on ProviderTypeEnum.
Available options:
runpod, fluidstack, lambdalabs, hyperstack, oblivus, cudocompute, scaleway, tensordock, datacrunch, latitude, crusoecloud, massedcompute, akash, primeintellect, primecompute, dc_impala, dc_kudu, dc_roan, nebius, dc_eland, dc_wildebeest, vultr, dc_gnu, denvr Model of the GPU allocated.
Available options:
CPU_NODE, A10_24GB, A100_80GB, A100_40GB, A30_24GB, A40_48GB, B200_180GB, B300_262GB, GB200, GB300, RTX3070_8GB, RTX3070_8GB, RTX3080_10GB, RTX3080Ti_12GB, RTX3090_24GB, RTX3090Ti_24GB, RTX4070Ti_12GB, RTX4080_16GB, RTX4080Ti_16GB, RTX4090_24GB, RTX5090_32GB, H100_80GB, H200_96GB, GH200_96GB, H200_141GB, GH200_480GB, GH200_624GB, L4_24GB, L40_48GB, L40S_48GB, RTX4000_8GB, RTX5000_16GB, RTX6000_24GB, RTX8000_48GB, RTX2000Ada_16GB, RTX4000Ada_20GB, RTX5000Ada_32GB, RTX6000Ada_48GB, A2000_6GB, A4000_16GB, A4500_20GB, A5000_24GB, A6000_48GB, V100_16GB, V100_32GB, P100_16GB, T4_16GB, P4_8GB, P40_24GB, RTX_PRO_6000B_96GB, MI355X_288GB Type of image selected for the pod.
Available options:
ubuntu_22_cuda_12, ubuntu_26, ubuntu_24, cuda_12_1_pytorch_2_2, cuda_11_8_pytorch_2_1, cuda_12_1_pytorch_2_3, cuda_12_1_pytorch_2_4, cuda_12_4_pytorch_2_4, cuda_12_4_pytorch_2_5, cuda_12_4_pytorch_2_6, cuda_12_6_pytorch_2_7, stable_diffusion, axolotl, bittensor, hivemind, petals_llama, vllm_llama_8b, vllm_llama_70b, vllm_llama_405b, custom_template, flux, prime_rl Was this page helpful?